const { Service } = require('flitter-di')

class VueService extends Service {
    static get services() {
        return [...super.services, 'configs']
    }

    data(merge = {}) {
        return {
            vue_state: {
                app_name: this.configs.get('app.name'),
                app_url: this.configs.get('app.url'),
                ...merge
            }
        }
    }
}

module.exports = exports = VueService
