class AuthAPI {
    async validate_username(username) {
        const result = await axios.post('/api/v1/auth/validate/username', { username })
        return result && result.data && result.data.data && result.data.data.is_valid
    }

    async attempt({ username, password, create_session }) {
        try {
            const result = await axios.post('/api/v1/auth/attempt', {
                username, password, create_session
            })

            if ( result && result.data && result.data.data && result.data.data ) {
                return result.data.data
            }
        } catch (e) {}

        return { success: false }
    }
}

const auth_api = new AuthAPI()
export { auth_api }
